//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CCalcPart;
class FW_CIdler;
class FW_CViewTabber;

//=======================================================================
class CCalcFrame : public FW_CFrame, public FW_MReceiver {
public:
	FW_DECLARE_AUTO(CCalcFrame)
						CCalcFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CCalcPart* calcPart);
	virtual 			~CCalcFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual void		CreateSubViews(Environment* ev);
	virtual void 		HandleNotification(Environment* ev, 
									const FW_CNotification& notification);
// new members
	virtual double		MyGetEditValue(Environment* ev, ODID viewID);
	virtual void		MySetEditValue(Environment* ev, ODID viewID, 
									 double value,  short fracDigits = 2);
private:
	CCalcPart* 			fCalcPart;
	FW_CIdler*			fIdler;
	FW_CViewTabber*		fViewTabber;
};

//=======================================================================
#endif
