//	Release Version:	$ ODF 1 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef PART_H
#define PART_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

//=======================================================================
class FW_CPart;
class FW_CPresentation;
class DevUniv_SFinance;

//=======================================================================
typedef double CalcFloat;

//=======================================================================
class CCalcPart : public FW_CPart {
public:	
	FW_DECLARE_AUTO(CCalcPart)
	
							CCalcPart(ODPart* odPart);
	virtual 				~CCalcPart();
// new methods
	virtual void 			MySetLoanAmount(CalcFloat borrowed);
	virtual void 			MySetAnnualInterestPercent(CalcFloat interest);
	virtual void 			MySetLoanYears(CalcFloat years);
	virtual CalcFloat 		MyComputePayment(Environment* ev);
// overrides
protected:
	virtual void 			Initialize(Environment* ev);
	virtual FW_CContent* 	NewPartContent(Environment* ev);
	virtual FW_CFrame*		NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
	virtual FW_Boolean		DoMenu(Environment* ev,
							   		const FW_CMenuEvent& theMenuEvent);
	virtual FW_CWindow*		NewDocumentWindow(Environment* ev);
// new members
private:
	FW_CPresentation* 	fPresentation;
	CalcFloat			fLoanAmount;
	CalcFloat			fAnnualInterestPercent;
	CalcFloat			fLoanYears;
	CalcFloat			fMonthlyPayment;
	DevUniv_SFinance*	fSOMFinanceCalc;
};

//=======================================================================
#endif
