//	Release Version:	$ ODF 1 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef CONTENT_H
#define CONTENT_H

//========================================================================================
#ifndef DEFINES_K
#include "Defines.k"
#endif

// ----- Framework Includes -----
#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

#ifndef PIZZA_H
#include "Pizza.h"			//  CPizza
#endif

#ifndef FWTCOLL_H
#include "FWTColl.h"			// FW_TOrderedCollection
#endif

//========================================================================================
class CDataPart;
class FW_CString;
class FW_CPresentation;

//========================================================================================
class CPizzaCollection : public FW_TOrderedCollection<CPizza> {
public:
	FW_DECLARE_AUTO(CPizzaCollection)
	CPizzaCollection()
			: FW_TOrderedCollection<CPizza>() {}
	~CPizzaCollection() {}
};

//========================================================================================
class CPizzaCollectionIterator : public FW_TOrderedCollectionIterator<CPizza> {
public:
	FW_DECLARE_AUTO(CPizzaCollectionIterator)
	CPizzaCollectionIterator(CPizzaCollection* collection)
		:	FW_TOrderedCollectionIterator<CPizza>(collection){}
	~CPizzaCollectionIterator() {}
};

//========================================================================================
class CDataContent : public FW_CContent {
public:
	FW_DECLARE_AUTO(CDataContent)
								CDataContent(Environment* ev, CDataPart* part);
	virtual 					~CDataContent();
// new members
public:
	virtual CPizzaCollection*	MyGetPizzaList();
	virtual void				MyIncrement(Environment* ev, FW_CPoint& position);
// overrides
protected:
	virtual void				Externalize(Environment* ev,
											ODStorageUnit* storageUnit,
											FW_EStorageKinds storageKind,
											FW_CCloneInfo* cloneInfo);
	virtual FW_Boolean			Internalize(Environment* ev,
											ODStorageUnit* storageUnit, 
											FW_EStorageKinds storageKind,
											FW_CCloneInfo* cloneInfo);
// new members
private:
	FW_CString32		fEmbeddedString;
	FW_CString*			fStringPtr;
	ODPtr				fBufferPtr;
	ODULong				fBufferBytes;
	FW_CPresentation*	fPresentation;
	ODSShort			fNumPizzas;
	CPizzaCollection*	fPizzaList;
	CDataPart* 			fPart;
};

//========================================================================================
#endif