//	Release Version:	$ ODF 1 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

//=======================================================================
#ifndef PART_H
#include "Part.h"
#endif

#ifndef CONTENT_H
#include "Content.h"
#endif

#ifndef FRAME_H
#include "Frame.h"
#endif

// ----- Framework Layer -----
#ifndef FWCONTXT_H
#include "FWContxt.h"			// FW_CViewContext
#endif

#ifndef FWEVENTU_H
#include "FWEventU.h"			// FW_IsCommandKeyPressed
#endif

// ----- OS Layer -----
#ifndef FWCFMRES_H
#include "FWCFMRes.h"			// FW_CSharedLibraryResourceFile, FW_gInstance
#endif
 
#ifndef FWMENU_H
#include "FWMenu.h"				// FW_CMenuBar, etc.
#endif

#ifndef FWEVENT_H
#include "FWEvent.h"			// FW_CMenuEvent, FW_CMouseEvent
#endif

#ifndef FWRECSHP_H
#include "FWRecShp.h"			// FW_CRectShape
#endif

#ifndef FWPICSHP_H
#include "FWPicShp.h"			// FW_PPicture, FW_CPictureShape
#endif

#ifndef FWRRCSHP_H
#include "FWRRcShp.h"			// FW_CRoundRectShape
#endif

#ifndef FWCMD_H
#include "FWCmd.h"				// FW_CCommand
#endif

// ----- OpenDoc Includes -----
#ifndef SOM_ODDragItemIterator_xh
#include <DgItmIt.xh>			// ODDragItemIterator
#endif

#ifndef SOM_ODTranslation_xh	
#include <Translt.xh>			// ODTranslation	
#endif

#ifndef SOM_ODSession_xh
#include <ODSessn.xh>			// ODSession
#endif

#ifndef SOM_Module_OpenDoc_StdProps_defined
#include <StdProps.xh>			// kODPropContents
#endif

//========================================================================================
#ifdef FW_BUILD_MAC
#pragma segment Data
#endif

FW_DEFINE_AUTO(CDataFrame)

//========================================================================================
CDataFrame::CDataFrame(Environment* ev, ODFrame* odFrame, 
									FW_CPresentation* presentation, CDataContent* content)
  : FW_CFrame(ev, odFrame, presentation, content->GetPart(ev)),
	fDataContent(content)
{
}

//----------------------------------------------------------------------------------------
CDataFrame::~CDataFrame()
{
}

//----------------------------------------------------------------------------------------
void 
CDataFrame::Draw(Environment *ev, ODFacet* odFacet, ODShape* invalidShape)	// Override
{
	FW_CViewContext context(ev, this, odFacet, invalidShape);
	FW_CRect invalidRect = FW_GetShapeBoundingBox(ev, invalidShape);
	FW_CRect frameRect = this->GetBounds(ev);
	FW_CRectShape::RenderRect(context, invalidRect, FW_kFill, FW_kRGBLightGray);
	
	// draw pizzas
	CPizzaCollection* list = fDataContent->MyGetPizzaList();
	CPizzaCollectionIterator iter(list);
	CPizza* pizza = NULL;
	for (pizza = (CPizza*) iter.First(); iter.IsNotComplete(); pizza = (CPizza*) iter.Next())
		{
		if (::FW_IsCommandKeyPressed()) 
				pizza->Draw(context);
		else
			if (invalidRect.IsIntersecting( pizza->GetBounds() ) )
				pizza->Draw(context);
		}
}

//----------------------------------------------------------------------------------------
FW_Boolean 
CDataFrame::DoMouseDown(Environment* ev, const FW_CMouseEvent& theMouseEvent)
{	
	FW_UNUSED(ev);
	FW_CPoint where = theMouseEvent.GetMousePosition(ev, FW_CMouseEvent::kFrame);
	this->GetContentView(ev)->FrameToViewContent(ev, where);	
	fDataContent->MyIncrement(ev, where);
	return true;
}

