//	Release Version:	$ ODF 1 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

//========================================================================
#ifndef SELECTION_H
#include "Selection.h"	// CDataCopySelection
#endif

#ifndef PART_H
#include "Part.h"		// CDataCopyPart
#endif

#ifndef FRAME_H
#include "Frame.h"		// CDataCopyFrame
#endif

#ifndef CONTENT_H
#include "Content.h"
#endif

// ----- Part Layer -----
#ifndef FWUTIL_H
#include "FWUtil.h"
#endif

#ifndef FWITERS_H
#include "FWIters.h"
#endif

#ifndef FWPRESEN_H
#include "FWPresen.h"
#endif

// ----- Foundation Layer -----
#ifndef FWSUSINK_H
#include "FWSUSink.h"
#endif

#ifndef FWSTREAM_H
#include "FWStream.h"
#endif

// ----- OpenDoc Includes -----
#ifndef SOM_Module_OpenDoc_StdProps_defined
#include <StdProps.xh>
#endif

#ifndef SOM_ODShape_xh
#include <Shape.xh>
#endif

//========================================================================
#ifdef FW_BUILD_MAC
#pragma segment talker
#endif

FW_DEFINE_AUTO(CDataCopySelection)
//========================================================================
CDataCopySelection::CDataCopySelection(Environment* ev, CDataCopyContent* content)
  :	FW_CSelection(ev, false, false),
	fDataCopyContent(content)
{
	FW_END_CONSTRUCTOR
}

//-------------------------------------------------------------------------
CDataCopySelection::~CDataCopySelection()
{	
	FW_START_DESTRUCTOR
}

//-------------------------------------------------------------------------
void 
CDataCopySelection::CloseSelection(Environment* ev)
{
}

//-------------------------------------------------------------------------
void 
CDataCopySelection::ClearSelection(Environment* ev)
{
	fDataCopyContent->MyRemoveAllPizzas();
	this->GetPresentation(ev)->Invalidate(ev);
}

//-------------------------------------------------------------------------
void 
CDataCopySelection::SelectAll(Environment* ev)
{
}

//-------------------------------------------------------------------------
FW_Boolean 
CDataCopySelection::IsEmpty(Environment* ev) const
{
	unsigned long count = fDataCopyContent->MyGetPizzaList()->Count();
	return (count == 0);			
}

//-------------------------------------------------------------------------
FW_CContent* 
CDataCopySelection::GetSelectedContent(Environment* ev)
{
	return fDataCopyContent;
}
