//========================================================================================
//	Release Version:	$ ODF 1 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//========================================================================================

#ifndef PART_H
#define PART_H

//=======================================================================
#ifndef DEFINES_K
#include "Defines.k"
#endif

// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

// ----- Foundation Layer -----
#ifndef FWSTDDEF_H
#include <FWStdDef.h>		// ?
#endif

//=======================================================================
const ODValueType	kAppleTEXTScrap = "Apple:OSType:Scrap:TEXT";
const ODValueType	kAppleTEXTfile 	= "Apple:OSType:FileType:TEXT";

//=======================================================================
#if FW_LIB_EXPORT_PRAGMAS
#pragma import on
#endif
class FW_CPart;
class FW_CString;
class FW_CMenuBar;
class FW_CMenuEvent;
class FW_CPresentation;
#if FW_LIB_EXPORT_PRAGMAS
#pragma import off
#endif

class CDataSaveContent;

//=======================================================================
class CDataSavePart : public FW_CPart {
public:
	FW_DECLARE_AUTO(CDataSavePart)
	
						CDataSavePart(ODPart* odPart);
	virtual 			~CDataSavePart();
// new members
	virtual void 		MyInvalidatePresentation(Environment* ev, FW_CRect& rect);
// overrides
protected:
	virtual FW_CContent* NewPartContent(Environment* ev);
	virtual void 		Initialize(Environment* ev);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);
// new members
private:
	FW_CPresentation*	fPresentation;
	CDataSaveContent*		fPartContent;
};

//=======================================================================
#endif
