//	Copyright 1995  David A. Wilson. All rights reserved.
//	2-8-95

#ifndef _FINANCE_
#define _FINANCE_

//=========================================================
// Savings functions
double	FutureValue(double presentValue,
					double annualInterestPercent, 
					short compoundsPerYear, 
					double years);
double FutureValueWithPayments(double payment,
								short paymentsPerYear,
								short compoundsPerYear, 
								double annualInterestPercent, 
								double years);
double AnnuityPresentValue(double payment,
							double annualInterestPercent, 
							short paymentsPerYear, 
							double years);
double AnnuityMonths(double annuity,
						double monthlyWithdrawal,
						double annualInterestPercent);

// Loan functions
double	Payment(double amountBorrowed,
				double annualInterestPercent, 
				double years);
double	LoanAmount(double monthlyPayment,
				double annualInterestPercent, 
				double years);
double	LoanMonths(double amountBorrowed,
					double monthlyPayment,
					double annualInterestPercent);
double	InterestRate(double amountBorrowed,
					double monthlyPayment,
					double years);
double	BalloonPayment(double amountBorrowed,
						double monthlyPayment,
						double annualInterestPercent,
						double years);
						
//====================================================
#endif