//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CIdlingPart;

//=======================================================================
class CIdlingFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CIdlingFrame)
						CIdlingFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CIdlingPart* idlingPart);
	virtual 			~CIdlingFrame();
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Boolean	DoMouseDown(Environment* ev, const FW_CMouseEvent& theMouseEvent);
	virtual ODShape* 	AdjustUsedShape(Environment* ev, ODShape* suggestedUsedShape);
	virtual ODShape* 	AdjustActiveShape(Environment* ev, ODFacet* facet, ODShape* suggestedActiveShape);
// new members
	virtual void		MyToggleColor(); 
protected:
	virtual FW_CRegionShape* 	MyCreateRegionShape(Environment* ev);
private:
	CIdlingPart* 		fIdlingPart;
	FW_CRegionShape*	fRegionShape;
	FW_Boolean			fDrawRed;
};

//=======================================================================
#endif
