//	Release Version:	$ ODF 1 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWDRGDRP_H
#include "FWDrgDrp.h"		// FW_MDroppableFrame
#endif


#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

#ifndef FWRECT_H
#include <FWRect.h>			// FW_CRect
#endif

// ----- OS Layer -----
#ifndef FWEVENT_H
#include "FWEvent.h"		// FW_CMouseEvent
#endif

//=======================================================================
class CTalkerPart;
class FW_CMenuEvent;
class FW_CPictureShape; 

//=======================================================================
class CTalkerFrame : public FW_CFrame, public FW_MDroppableFrame {
public:
	FW_DECLARE_AUTO(CTalkerFrame)
	
public:
						CTalkerFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CTalkerContent* content);
	virtual 			~CTalkerFrame();
protected:
// overrides
	virtual FW_CDropCommand* 	NewDropCommand(Environment *ev, 
											FW_CFrame* frame,
											ODDragItemIterator* dropInfo, 
											ODFacet* facet, 
											const FW_CPoint& dropPoint);
	virtual FW_CClipboardCommand* 	NewClipboardCommand(Environment* ev, 
												ODCommandID commandID);
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual void		FrameShapeChanged(Environment* ev);
	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);
	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);
	virtual FW_Boolean 	DoMouseDown(Environment* ev, 
								const FW_CMouseEvent& theMouseEvent);
	virtual ODDragResult CanAcceptDrop(Environment* ev, 
										ODDragItemIterator* dragInfo);
// new members
protected:
	virtual void 		MyInitPicture(Environment* ev);
private:
	CTalkerContent* 	fTalkerContent;
	FW_CRect 			fFrameRect;
	FW_CPictureShape*	fPictShape;			// Mr. Pizza
};

//=======================================================================
#endif
