// TTalker.h
// Copyright  1994 Apple Computer Inc. All rights reserved.

#ifndef _TTALKER_
#define _TTALKER_

//=======================================================================
#ifndef _SPEECH_
	#include <Speech.h>
#endif

#ifndef __TEXTEDIT__
	#include <TextEdit.h>
#endif

//=======================================================================
class TTalker {
public:
					TTalker();
	virtual 		~TTalker();
	virtual void 	SayFloat(float number, short digitsDesired, Boolean wait);
	virtual void 	SayInteger(long number, Boolean wait);
	virtual void 	SayString(char* str, Boolean wait);
	virtual void 	SayText(Ptr textPtr, long textBytes, Boolean wait);
	virtual void 	SayTextEdit(TEHandle TEHdl, Boolean wait);
	virtual void 	Faster();
	virtual void 	Slower();
	virtual void 	UseVoiceNamed(char* name);
	virtual void 	UseVoice(short index);
	virtual char* 	GetVoiceName(short index);
	virtual short 	GetNumberVoices();
protected:
	virtual void	WaitUntilDone();
private:
	Boolean			fComputerHasTextToSpeech;
	SpeechChannel	fSpeechChannel;		// Mac Speech Mgr record ptr
	Fixed			fSpeechRate;
	short 			fNumVoices;
};

//=======================================================================
#endif